Xalan-Java: Class ElemWithParam

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xslt
Class ElemWithParam

    java.lang.Object
      |
      +--org.apache.xalan.xslt.UnImplNode
            |
            +--org.apache.xalan.xslt.ElemTemplateElement
                  |
                  +--org.apache.xalan.xslt.ElemWithParam

public class ElemWithParam
extends ElemTemplateElement

**For advanced use only** Implement xsl:with-param.

See Also:
  Serialized Form

Field Summary
`QName` | `m_qname` **For advanced use only**
`XPath` | `m_selectPattern` **For advanced use only**

Fields inherited from class org.apache.xalan.xslt.ElemTemplateElement
`m_columnNumber, m_defaultSpace, m_elemName, m_finishedConstruction, m_lineNumber, m_parentNode, m_stylesheet`

Constructor Summary
`ElemWithParam(XSLTEngineImpl processor, Stylesheet stylesheetTree, java.lang.String name, org.xml.sax.AttributeList atts, int lineNumber, int columnNumber)` **For advanced use only**

Method Summary
`int` | `getXSLToken()` **For advanced use only**

Methods inherited from class org.apache.xalan.xslt.ElemTemplateElement
`appendChild, childrenToString, error, execute, executeChildren, getBaseIdentifier, getChildNodes, getFirstChild, getLastChild, getLength, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getParentNode, getTagName, hasChildNodes, isSpace, isWhiteSpace, item, processLocatedNode`

Methods inherited from class org.apache.xalan.xslt.UnImplNode
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getElementsByTagName, getElementsByTagNameNS, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getPreviousSibling, hasAttribute, hasAttributeNS, hasAttributes, insertBefore, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_selectPattern

    public XPath m_selectPattern

### m_qname

    public QName m_qname

Constructor Detail

### ElemWithParam

    public ElemWithParam(XSLTEngineImpl processor,
                         Stylesheet stylesheetTree,
                         java.lang.String name,
                         org.xml.sax.AttributeList atts,
                         int lineNumber,
                         int columnNumber)
                  throws org.xml.sax.SAXException

Method Detail

### getXSLToken

    public int getXSLToken()

  Overrides:
    getXSLToken in class ElemTemplateElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.